OGRE: Ogre::BspIntersectionSceneQuery Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::BspIntersectionSceneQuery Class Reference
Plugins » BSPSceneManager

BSP specialisation of IntersectionSceneQuery. More...

`#include <OgreBspSceneManager.h>`

Inheritance diagram for Ogre::BspIntersectionSceneQuery:
[legend]

## Public Member Functions
| BspIntersectionSceneQuery (SceneManager *creator)
void | execute (IntersectionSceneQueryListener *listener) override
| See IntersectionSceneQuery.
const std::set< WorldFragmentType > * | getSupportedWorldFragmentTypes () const
| Returns the types of world fragments this query supports.
WorldFragmentType | getWorldFragmentType (void) const
| Gets the current world fragment types to be returned from the query.
void | setWorldFragmentType (enum WorldFragmentType wft)
| Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.
Public Member Functions inherited from Ogre::DefaultIntersectionSceneQuery
| DefaultIntersectionSceneQuery (SceneManager *creator)
| ~DefaultIntersectionSceneQuery ()
void | execute (IntersectionSceneQueryListener *listener) override
| Executes the query and returns each match through a listener interface.
Public Member Functions inherited from Ogre::IntersectionSceneQuery
| IntersectionSceneQuery (SceneManager *mgr)
virtual | ~IntersectionSceneQuery ()
void | clearResults (void)
| Clears the results of the last query execution.
virtual IntersectionSceneQueryResult & | execute (void)
| Executes the query, returning the results back in one list.
virtual IntersectionSceneQueryResult & | getLastResults (void) const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
bool | queryResult (MovableObject *first, MovableObject *second) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (MovableObject *movable, SceneQuery::WorldFragment *fragment) override
| Self-callback in order to deal with execute which returns collection.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask (void) const
| Returns the current mask for this query.
virtual uint32 | getQueryTypeMask (void) const
| Returns the current mask for this query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setQueryTypeMask (uint32 mask)
| Sets the type mask for results of this query.
Public Member Functions inherited from Ogre::IntersectionSceneQueryListener
virtual | ~IntersectionSceneQueryListener ()

## Additional Inherited Members
Public Types inherited from Ogre::SceneQuery
typedef Ogre::WorldFragment | WorldFragment

## Detailed Description

BSP specialisation of IntersectionSceneQuery.

## Constructor & Destructor Documentation

## ◆ BspIntersectionSceneQuery()

Ogre::BspIntersectionSceneQuery::BspIntersectionSceneQuery | ( | SceneManager * | creator | ) |

## Member Function Documentation

## ◆ execute()

void Ogre::BspIntersectionSceneQuery::execute | ( | IntersectionSceneQueryListener * | listener | ) |
| overridevirtual

See IntersectionSceneQuery.

Implements Ogre::IntersectionSceneQuery.

## ◆ setWorldFragmentType()

void Ogre::BspIntersectionSceneQuery::setWorldFragmentType | ( | enum WorldFragmentType | wft | ) |
| inline

Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.

The application receiving the world geometry is expected to know what to do with it; inevitably this means that the application must have knowledge of at least some of the structures used by the custom SceneManager.

  The default setting is WFT_NONE.

References OgreAssert.

## ◆ getWorldFragmentType()

WorldFragmentType Ogre::BspIntersectionSceneQuery::getWorldFragmentType | ( | void |  | ) | const
| inline

Gets the current world fragment types to be returned from the query.

## ◆ getSupportedWorldFragmentTypes()

const std::set< WorldFragmentType > * Ogre::BspIntersectionSceneQuery::getSupportedWorldFragmentTypes | ( |  | ) | const
| inline

Returns the types of world fragments this query supports.

The documentation for this class was generated from the following file:

- OgreBspSceneManager.h